View Bug Details

IDProjectCategoryView StatusLast Update
0001166DCP-o-matic[All Projects] Bugspublic2018-02-13 10:36
ReporterCantar4Assigned Tocarl 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target Version2.12.0Fixed in Version 
Summary0001166: NG standalone Player subtitle handling
Descriptionsoft subtitles are not correctly displayed by the v. 2.11.40 'Standalone Player'
(macOS sierra 10.12.5)

X position is set back to zero. Y position is OK
Subs appear on two frames every three (for the first two seconds only).
Frame count is upped by one frame.
Color goes to pure white.
(Shadow/Outline effects are OK)
Steps To ReproducePlay a DCP on the DoM standalone Player
TagsNo tags attached.
Estimated work requiredUnknown

Activities

Cantar4

2018-01-12 02:08

reporter  

DoM-Preview-and-Player 2.11.40.jpg (380,570 bytes)

carl

2018-01-13 21:22

administrator   ~0001984

Are you testing the X position using DCPs created by DoM using the X offset controls?

Cantar4

2018-01-13 21:29

reporter   ~0001985

Yes indeed, DoM 2.11.40 and previous ones

Cantar4

2018-01-13 21:40

reporter   ~0001986

Verified on DoM Preview : X -10 ; Y -17
on Player X 0
Since the pict is cropped on the right, the X centering is not evident

carl

2018-01-13 22:01

administrator   ~0001987

OK, thanks. As it turns out DoM is not creating the right DCP for negative horizontal alignment.

Cantar4

2018-01-13 22:22

reporter   ~0001988

saturday night relief... ;-)

Cantar4

2018-01-14 09:48

reporter   ~0001989

Sunday morning, no sport today ?

no sport.jpg (89,587 bytes)
no sport.jpg (89,587 bytes)

carl

2018-01-14 18:13

administrator   ~0001990

Build is fixed now.

Cantar4

2018-01-15 03:58

reporter   ~0001991

v. 2.11.41 shows two frames every three for the first two seconds,
the frame count is +1 delayed.
Color, effect, position, OK.

carl

2018-01-15 09:51

administrator   ~0001992

Could you attach the subtitle XML file from your DCP? It is the one inside its own folder, called sub_something.xml

Cantar4

2018-01-15 18:20

reporter   ~0001994

one sub.nnn.mxf file
two xml files

BrntBluSftOrSh_SHR-1_F_51_2K_20180115_SMPTE_OV extract.zip (213,313 bytes)

Carsten

2018-01-15 19:41

manager   ~0001995

Would be nice to have a more or less universal test suite for subtitles. The current ISDCF SMPTE test dcps would work, but they are encrypted, and as far as I know, they won't issue KDMs for mastering systems.
Not exactly sure why there are so picky there.


- Carsten

carl

2018-01-15 20:26

administrator   ~0001998

Thanks, can I have the metadata.xml from the project that you are creating this DCP with too?

Cantar4

2018-01-15 21:34

reporter  

BurntBlue37Dcp_SHR-1_F-178_10_2K_20180106_SMPTE_OV extract.zip (10,980 bytes)

Cantar4

2018-02-13 10:27

reporter   ~0002160

this one should be closed, all mentionned problems are solved as of 2.11.52

2.11.55 supposed to improve the sticky status of decode resolution (case #2195), makes it worse. (see pict.). This mod could be postponed to 2.13.x... ;-)

Bug History

Date Modified Username Field Change
2018-01-12 02:08 Cantar4 New Bug
2018-01-12 02:08 Cantar4 File Added: DoM-Preview-and-Player 2.11.40.jpg
2018-01-13 01:07 carl Target Version => 2.12.0
2018-01-13 21:22 carl Note Added: 0001984
2018-01-13 21:22 carl Assigned To => carl
2018-01-13 21:22 carl Status new => feedback
2018-01-13 21:29 Cantar4 Note Added: 0001985
2018-01-13 21:29 Cantar4 Status feedback => assigned
2018-01-13 21:40 Cantar4 Note Added: 0001986
2018-01-13 22:01 carl Note Added: 0001987
2018-01-13 22:22 Cantar4 Note Added: 0001988
2018-01-14 09:48 Cantar4 File Added: no sport.jpg
2018-01-14 09:48 Cantar4 Note Added: 0001989
2018-01-14 18:13 carl Note Added: 0001990
2018-01-15 03:58 Cantar4 Note Added: 0001991
2018-01-15 09:51 carl Note Added: 0001992
2018-01-15 18:20 Cantar4 File Added: BrntBluSftOrSh_SHR-1_F_51_2K_20180115_SMPTE_OV extract.zip
2018-01-15 18:20 Cantar4 Note Added: 0001994
2018-01-15 19:41 Carsten Note Added: 0001995
2018-01-15 20:26 carl Note Added: 0001998
2018-01-15 21:34 Cantar4 File Added: BurntBlue37Dcp_SHR-1_F-178_10_2K_20180106_SMPTE_OV extract.zip
2018-02-13 10:27 Cantar4 File Added: sticky decode resolution.jpg
2018-02-13 10:27 Cantar4 Note Added: 0002160
2018-02-13 10:36 carl Status assigned => resolved
2018-02-13 10:36 carl Resolution open => fixed